(require 'ert)

(defvar connection-var 'local)
(ert-deftest connection-locals-remote->local ()
  ;; Setup connection locals for localhost
  (connection-local-set-profile-variables
   'my-connection-profile
   '((connection-var . remote)))
  (connection-local-set-profiles '(:machine "localhost") 'my-connection-profile)

  (with-temp-buffer
    (setq default-directory (format "/sudo:%s@localhost:%s"
                                    (user-login-name) "/tmp"))
    (hack-connection-local-variables-apply
     (connection-local-criteria-for-default-directory))
    (should (eq connection-var 'remote))

    (setq default-directory "/tmp")
    (hack-connection-local-variables-apply
     (connection-local-criteria-for-default-directory))
    (should (eq connection-var 'local))))

(ert t)
